/*
 *  Tool for filesplit_itp_step
 *  Instead of automatic, complete submission to the queue, this program sends only small packets to the queue.
 *  This is useful for testing purposes and if the queue is in heavy use. For large CICY lists, it avoids overloading the queue.
 *
 *  Created by Alexander Haupt on 13/01/2013.
 *  Copyright 2013 Alexander Haupt. All rights reserved.
 *
 */

#if defined(_WIN32) || defined(_WIN64)
  #error not tested on windows
#endif

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int main (int argc, const char * argv[]) {
	if (argc != 3) {
		// [n1,n2] range of batch jobs to be executed (and sent to the queue).
		printf("Usage: %s n1 n2\n", argv[0]);
	}
	else {
		int n1, n2;
		char str_cmd[2600];
		
		n1 = atoi(argv[1]);
		n2 = atoi(argv[2]);
		
		do {
			sprintf(str_cmd, "qsub scr_%02i.sub", n1);
			system(str_cmd);
			//printf("%s\n", str_cmd); //debug
			n1++;
		} while (n1 <= n2);
	}
	
	return 0;
}