/*
 *  mymemcpy.h
 *  memcpy optimised for int-arrays
 *
 *  Created by Alexander Haupt on 11/06/2012.
 *  Copyright 2013 Alexander Haupt. All rights reserved.
 *
 */

#ifndef mymemcpy_HEADER_FILE
#define mymemcpy_HEADER_FILE

// memcpy optimised for int-arrays
inline void mymemcpy(int* pDest, const int* pSrc, int nSizeInWords) {
	while ( nSizeInWords-- )
		*pDest++ = *pSrc++;
};

#endif