/*
 *  euler.h
 *  Header file for euler.cpp
 *
 *  Created by Alexander Haupt on 08/03/2011.
 *  Copyright 2013 Alexander Haupt. All rights reserved.
 *
 */

#if defined(_WIN32) || defined(_WIN64)
  #error not tested on windows
#endif

#include <stdio.h>
#include <string.h>
#include <errno.h>

#if defined(__APPLE__) || defined(__MACH__) || defined(__OSX__)
  #include <algorithm>
#else
  #include <c++/4.6/algorithm>
#endif

using namespace std;
using namespace __gnu_cxx;

extern int n;

int compute_eulernumber(const int m, const int K, const register int n_r[], const register int q[]);
int increase_poly(const int m, const int K, register int poly[]);

inline void debug_output(const int m, const int K, const int n_r[], const int q[]);