/*
 *  is_already_there.cpp
 *  Note: the "is_already_there" function is defined and described in the file is_already_there.h
 *
 *  Created by Alexander Haupt on 11/06/2012.
 *  Copyright 2013 Alexander Haupt. All rights reserved.
 *
 */

#include "is_already_there.h"

int m_tmp;

// debug
//inline void print_perm(const int m, int owntmpperm[]) {
//	int i;
//	printf("(");
//	for (i = 0; i < m; i++) {
//		printf("%i,", owntmpperm[i]);
//	}
//	printf(")\n");
//}

// qsort column array comparison function
int col_cmp(const void *a, const void *b) {
	int i = 0, ret = 0;
	
	const int * ia = (const int *)a; // casting pointer types
	const int * ib = (const int *)b;
	
	while ((i < m_tmp) && ((ret = ia[i] - ib[i]) == 0)) {
		i++;
	}
	
	return ret; // integer comparison: returns negative if b > a and positive if a > b
}

bool operator <(conf a, conf b) {
	int i;
	
	if ( a.m<b.m ) return true;
	if ( a.m>b.m ) return false;

	for(i=0; i<(a.m); i++) {
		if ( a.n_r[i]<b.n_r[i] ) return true;
		if ( a.n_r[i]>b.n_r[i] ) return false;
	}	
	
	if ( a.K<b.K ) return true;
	if ( a.K>b.K ) return false;
	
	for(i=0; i<((a.m)*(a.K)); i++) {
		if ( a.q[i]<b.q[i] ) return true;
		if ( a.q[i]>b.q[i] ) return false;
	}
	return false;
}